%global momorel 1
%global srcrel 74876
%global qtver 4.4.3
%global kdever 4.2.0
%global kdelibsrel 1m
%global srcver 0.2.1.5

Summary: KDE instant translator
Name: qtrans
Version: 0.2.1.5
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kde-apps.org/content/show.php/QTrans?content=74876
Group: Applications/Text
Source0: http://kde-apps.org/CONTENT/content-files/%{srcrel}-%{name}-%{srcver}.tar.gz
NoSource: 0
Patch0: %{name}-0.2.1.4-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: desktop-file-utils

%description
QTrans is a Linux KDE instant translator that uses the Babylon dictionaries.

%prep
%setup -q -n %{name}-%{srcver}

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/qtrans.png %{buildroot}%{_datadir}/pixmaps/qtrans.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --remove-category X-Red-Hat-Base \
  --remove-category Application \
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/QTrans.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES Copying README
%{_kde4_bindir}/qtrans
%{_kde4_datadir}/applications/kde4/QTrans.desktop
%{_kde4_appsdir}/qtrans
%{_kde4_iconsdir}/hicolor/*/apps/qtrans*.png
%{_datadir}/pixmaps/qtrans.png

%changelog
* Mon Mar  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.5-1m)
- version 0.2.1.5

* Tue Feb 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1.4-3m)
- source was updated to 0.2.1.4-3

* Tue Feb 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1.4-2m)
- source was updated to 0.2.1.4-2

* Sat Feb 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1.4-1m)
- initial package for Momonga Linux
